# Generated by Django 3.2.13 on 2022-04-24 19:44

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0024_totaisareasdeusoorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisareasdeusoporestadoorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaisareasdeusoporestadoorganizacao AS
            SELECT t.organizacao_id,
                   ta.id,
                   ta.nome,
                   me.nome estado,
                   me.uf uf,
                   count(au.id) AS qtd_areasdeusoporestado
            FROM main_areadeuso au
                     JOIN main_tipoareadeuso ta ON au.tipo_area_de_uso_id = ta.id
                     JOIN main_territorio t ON au.territorio_id = t.id AND t.teste is false AND t.status_id = 4
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE au.deleted IS NULL
            GROUP BY t.organizacao_id, ta.id, ta.nome, me.nome, me.uf
            ORDER BY qtd_areasdeusoporestado DESC, t.organizacao_id, ta.id;
            """),
    ]
